Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMenuItem Class Reference

The QMenuItem class represents an item in a menu. More...

    #include <QMenuItem>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits QAction.

- List of all members, including inherited members
- Compatibility members

### Writable Properties

- 13 writable properties inherited from QAction
- 1 writable property inherited from QObject

### Public Functions

- QMenuItem ()

- 8 public functions inherited from QAction
- 26 public functions inherited from QObject

### Public Slots

- 7 public slots inherited from QAction
- 1 public slot inherited from QObject

### Signals

- 4 signals inherited from QAction
- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 7 protected functions inherited from QObject

## Detailed Description

The QMenuItem class represents an item in a menu.

Use QAction instead.

## Member Function Documentation

### QMenuItem::QMenuItem ()